About the tool

 Avaya One-X Deskphone Contact Import Tool

About the tool

 Top Next
Features:

v This tool reads the contacts saved in MS Outlook or reads from a CSV (Comma Separated Values) file and displays them in the 'Contacts' worksheet of the excel file.

v The tool displays Name, Business Telephone Number, Home Telephone Number and the Mobile Telephone Number.

v The tool parses the displayed numbers through a dialing rules engine which displays the numbers in User-defined format

v The tool saves the selected contacts in a file named '9xxxContacts.txt'.

v The tool supports internationalization by allowing users to enter their own translations for all the strings used in the tool.

NOTE: The worksheet will not display Outlook entries with blank values in all three number fields.


How to Import contacts

How to Import Contacts Top Next

Contacts can be retrieved from Microsoft Outlook or from a CSV File.

Before retrieving Contacts, Dialing rules needs to be set appropriately. For more information please refer How to set dialing rules?

1. Retrieving Contacts from Microsoft Outlook:

v Clicking on the 'Retrieve Contacts' button in the toolbar imports Contacts from Outlook and displays them as shown in the picture below.

v The numbers displayed will be parsed through the Dialing rules engine by default.

v Cells marked in dark green color exceed the maximum length for that particular field.
30 characters for Number field
20 characters for Name field
v While retrieving the contacts from Outlook, if there is more than one Contact list, the tool prompts the user to select appropriate Contact list to import as shown in the picture below. Select the appropriate Contact List as desired.
v After the import is done, by default all the contacts are selected to ’Yes’ in the ‘Select’ column of the tool.

2. Retrieving Contacts from a CSV( Comma Seperated Values) File

v The CSV file can be created by the user.

v Clicking on the 'Retrieve Contacts from CSV' button prompts the path for the CSV file as shown in the picture below.

v Confirm a CSV formatted file exists with only four entries per row in the format of Contact name, Business phone number, Mobile phone number and Home phone number.

Note that the CSV file must contain a header row in row 1. If no header row is present, the first row of contact information will not be imported into the tool. Sample CSV file is shown in the picture below.


How to Select Contacts

How to Select Contacts

 Previous Top Next
v In order to select a number corresponding to a Name field, click on the columns 'B' , 'D' or 'F'.

v The dropdown list in these columns will have a 'yes' or a 'no' option.

v The cell ("F", 1) is incremented when a particular contact will be selected.

v If you want to change the format of the numbers in columns 'C' , 'E' or 'G' then simply double click on the cell and a dropdown list will be activated which will show the available formats.

NOTE: Do not select more than 250 contacts as that will exceed the allotted memory of the phone.


How to Save Selected Contacts

How to Save Selected Contacts Previous Top Next

v Click on the "Save Selected Contacts' button on the toolbar.

v The contacts should be saved in the file named '9xxxContacts.txt' only. Do not save the file with any other name.


How to Set Dialing Rules

How to Set Dialing Rules Previous Top Next
v In the 'Settings' worksheet, the various country codes are stored in the BLUE cells. These entries in the blue field are the Country codes and the extension properties.

v HCC : Home Country Code (abbreviated as 'H')

v ARSC : Code to dial an outside call (abbreviated as 'A')

v NDD : National Direct Dial (abbreviated as 'D')

v IDD : International Direct Dial (abbreviated as 'I')

v LenPBX : Length of extensions (internal numbers)

v LenNational : Length of National Numbers

NOTE : The abbreviations mentioned in the settings window should not be changed.

The user should ONLY modify the fields in the Column 'B' of the blue cells.


How to Set Number Formats

How to set Number Formats Previous Top Next
v User defined formats can be stored in the GREEN cells.

Check the abbreviation for the various country codes from Column 'C' of the blue cells and use it for forming new formats.

Examples:

1. H- (NNN) NNN-NNNN

will display the Home Country Code followed by a '-' followed by a '(' followed by the 1 three digits (from the left hand side) of the number stored in outlook and so on.

2. H- (NNN) NNN-NNNN
will give you 1- (267) 283-5257 if 2672835257 is the number storedin Outlook.

NOTE: If your format has more N's than the number of digits in the actual number stored in Outlook, you will get a '' " (blank) for that particular format.

v After creating formats in the 'Settings' worksheet, double clicking the number cells ( Column 'C' , 'E' or 'G' ) will activate a dropdown list which will contain the different formats as specified in the 'Settings' worksheet.

v Converting Call numbers in the Canonical form to National Call numbers
v If a user wants to convert call numbers from canonical form stored in Outlook contacts or a CSV file to national call numbers, select the option set in the cell B20 to “Yes”. By default this option is set to “No”.
e.g. Canonical Number (International format) stored in outlook is +49 (6151) 8704170
The settings are as follows:

If the option “Convert Call numbers in the Canonical form to National Call numbers?” is set to “Yes”, the number imported is 0061518704170. I.e. ARSC + NDD + Call number


How to Internationalize

How to Internationalize Previous Top Next
v The YELLOW colored cells are provided to set the labels in the language understood by the user.

v The column 'F' can be modified by the Administrator in order to make the tool easily understandable to users of different origin.

v The single layer of BLUE cells is for the message that appears on the progress bar while the transfer of contacts from Outlook to the Excel sheet is carried out.


Files Required with Tool

Files Required with Tool Previous Top
v Excel file performing transfer of contacts from Outlook.

v Help file which should be stored in the same folder as the excel file and must be named 'Help.chm' only.